"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestCoverageGenerator = void 0;
const node_path_1 = __importDefault(require("node:path"));
const index_1 = require("../../shared/index");
const index_2 = require("./codecov/index");
class TestCoverageGenerator extends index_1.BaseGenerator {
    configureSubGenerators() {
        return [
            {
                Generator: index_2.CodeCovGenerator,
                path: node_path_1.default.join(__dirname, "./codecov"),
            },
        ];
    }
}
exports.TestCoverageGenerator = TestCoverageGenerator;
//# sourceMappingURL=TestCoverageGenerator.js.map